# https://pypi.python.org/packages/a5/a5/0830cfe34a4cfd0d1c3c8b614ede1edb2aaf999091ac8548dd19cb352e79/SecretStorage-2.3.1.tar.gz
%global module secretstorage

Name:           python-%{module}
Version:        2.3.1
Release:        %mkrel 2
Summary:        Securely store passwords and other private data using the SecretService DBus API

License:        BSD
Group:          Development/Python
URL:            https://pypi.python.org/pypi/SecretStorage
Source0:        SecretStorage-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  lib64dbus-glib-1_2-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cryptography

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Group:	        Development/Python
Requires:       lib64dbus-glib-1_2
Requires:       python3-dbus
Requires:       python3-cryptography
BuildArch:      noarch

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn SecretStorage-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd


%files -n python3-%{module}
%defattr(-,root,root)
%{python3_sitelib}

%changelog
* Thu Aug 18 2022 tex - 2.3.1-2pclos2022
- rebuild against updates

* Fri Apr 13 2018 marcin82 <fixxer1982 at gmail.com> 2.3.1-1pclos2018
- initial build for PCLinuxOS
